Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.tree.linked
Interface NodeFactory

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SchemaNodeFactory, StyleNodeFactory, StyleNodeFactoryPE

    public interface NodeFactory

extends Serializable

Interface NodeFactory.
A Factory for nodes used to build a tree.
Currently only allows Element nodes to be user-constructed.

Version:
  25 February 2000
Author:
  Michael H. Kay

Method Summary
`ElementImpl` | `makeElementNode(NodeInfo parent, int nameCode, int typeCode, AttributeCollectionImpl attlist, int[] namespaces, int namespacesUsed, PipelineConfiguration pipe, int locationId, int sequenceNumber)` Create an Element node

Method Detail

### makeElementNode

    ElementImpl makeElementNode(NodeInfo parent,
                                int nameCode,
                                int typeCode,
                                AttributeCollectionImpl attlist,
                                int[] namespaces,
                                int namespacesUsed,
                                PipelineConfiguration pipe,
                                int locationId,
                                int sequenceNumber)

  Create an Element node

  Parameters:
    `parent` - The parent element
    `nameCode` - The element name
    `typeCode` -
    `attlist` - The attribute collection, excluding any namespace attributes
    `namespaces` - List of new namespace declarations for this element, as a sequence of namespace codes representing pairs of strings: (prefix1, uri1), (prefix2, uri2)...
    `namespacesUsed` - the number of elemnts of the namespaces array actually used
    `pipe` - The pipeline configuration (provides access to the error listener and the location provider)
    `locationId` - Indicates the source document and line number containing the node
    `sequenceNumber` - Sequence number to be assigned to represent document order.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.